Subject: [alpine-devel] [PATCH] testing/py-urwid: added py- prefix to package and improved the APKBUILD

From: Matt Smith <[email-masked]>
Date: Tue, 14 Dec 2010 23:48:05 -0600

---
 testing/py-urwid/APKBUILD |   50 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 50 insertions(+), 0 deletions(-)
 create mode 100644 testing/py-urwid/APKBUILD

diff --git a/testing/py-urwid/APKBUILD b/testing/py-urwid/APKBUILD
new file mode 100644
index 0000000..5954181
--- /dev/null
+++ b/testing/py-urwid/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Matt Smith <[email-masked]>
+# Maintainer: Matt Smith <[email-masked]>
+pkgname=py-urwid
+_pkgname=urwid
+pkgver=0.9.9.1
+pkgrel=2
+pkgdesc="Urwid is a console user interface library for Python"
+url="http://excess.org/urwid/"
+arch="x86 x86_64"
+license="LGPL"
+depends="python"
+makedepends="python-dev py-setuptools py-templayer"
+install=
+subpackages="$pkgname-doc"
+source="http://excess.org/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	# apply patches here
+}
+
+build() {
+        cd "$_builddir"
+        python setup.py build || return 1
+}
+
+package() {
+        cd "$_builddir"
+        python setup.py install --root "$pkgdir"
+}
+
+doc() {
+        cd "$_builddir"
+
+	# generate tutorial examples, and copy documentation 
+	python docgen_tutorial.py -s
+	mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples
+	cp -a example*.py "$subpkgdir"/usr/share/doc/$pkgname/tutorial_examples/
+
+	for doc in CHANGELOG reference.html tutorial.html; do
+		install -Dm644 $doc "$subpkgdir"/usr/share/doc/$pkgname/$doc
+	done
+
+	# Fix subdir perms
+        find "$subpkgdir"/usr/share/doc/$pkgname/ -type d -exec chmod 755 '{}' \;
+}
+
+md5sums="4722cdf898f711dcae1121aa80920152  urwid-0.9.9.1.tar.gz"
-- 
1.7.3.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---